﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Authenticator_Tests.AuthSvc;
using System.Net;

namespace Authenticator_Tests
{
    [TestClass]
    public class AuthSqlMembershipProvider
    {
        AuthenticatorServiceClient _client;

        public AuthSqlMembershipProvider()
        {
            _client =  new AuthenticatorServiceClient();
            _client.ClientCredentials.UserName.UserName = "NsvAspUser";
            _client.ClientCredentials.UserName.Password = "NsvAspUser$";
            // This will ignore any cert mismatches
            ServicePointManager.ServerCertificateValidationCallback += (sender, certificate, chain, sslPolicyErrors) => true;
        }


        [TestMethod]
        public void CreateUser()
        {
            CreateUserRequest _request = new CreateUserRequest();

            NewUserDC _user = new NewUserDC();
            
            _user.ApplicationName = "Demo";
            _user.UserName = "Test User II";
            _user.Password = "P@assword2";
            _user.PasswordQuestion = "3 + 3";
            _user.PasswordAnswer = "6";
            _user.Email = "Test@email.com";
            _user.IsApproved = true;
            
            _request.User = _user;
            
            CreateUserResponse _response = _client.CreateUser(_request);

            
            //AuthenticatorProvider _provider = new AuthenticatorProvider();

            //AuthUser
        }

        [TestMethod]
        public void DeleteUser()
        {
            DeleteUsersRequest _request = new DeleteUsersRequest();
            _request.ApplicationName = "Demo";

            List<string> _userNames = new List<string> { "Test User II" };

            _request.UserNames = _userNames;

            DeleteUsersResponse _response = _client.DeleteUsers(_request);
            
        }
    }
}
