﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NST.Auth.DataContracts
{
    [DataContract(Namespace = "http://NSV.Authenticator.DataContracts/2010/07", Name = "BaseContract")]
    public class BaseContract
    {
        #region Public Properties

        [DataMember(IsRequired = false, Name = "Id", Order = 0)]
        public Guid? Id { get; set; }

        [DataMember(IsRequired = false, Name = "Name", Order = 5)]
        public string Name { get; set; }

        [DataMember(IsRequired = false, Name = "ApplicationId", Order = 15)]
        public Guid? ApplicationId { get; set; }

        [DataMember(IsRequired = false, Name = "ApplicationName", Order = 20)]
        public string ApplicationName { get; set; }

        #endregion
    }
}
