﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace NST.Auth.DataContracts
{
    [DataContract(Namespace = "http://NSV.Authenticator.DataContracts/2010/07", Name = "UserInfoDC")]
    public class UserInfoDC : BaseContract
    {
        #region Public Properties

        [DataMember(IsRequired = true, Name = "MobileAlias", Order = 0)]
        public string MobileAlias { get; set; }

        [DataMember(IsRequired = true, Name = "IsAnonymous", Order = 5)]
        public bool IsAnonymous { get; set; }

        [DataMember(IsRequired = true, Name = "LastActivityDate", Order = 10)]
        public DateTime LastActivityDate { get; set; }

        [DataMember(IsRequired = true, Name = "Email", Order = 20)]
        public string Email { get; set; }

        [DataMember(IsRequired = false, Name = "Comment", Order = 25)]
        public string Comment { get; set; }        

        [DataMember(IsRequired = false, Name = "IsApproved", Order = 30)]
        public bool IsApproved { get; set; }

        [DataMember(IsRequired = false, Name = "IsLockedOut", Order = 35)]
        public bool IsLockedOut { get; set; }

        [DataMember(IsRequired = false, Name = "CreateDate", Order = 40)]
        public DateTime CreateDate { get; set; }

        [DataMember(IsRequired = false, Name = "LastLockoutDate", Order = 45)]
        public DateTime LastLockoutDate { get; set; }

        [DataMember(IsRequired = false, Name = "LastLoginDate", Order = 50)]
        public DateTime LastLoginDate { get; set; }

        [DataMember(IsRequired = false, Name = "LastPasswordChangedDate", Order = 55)]
        public DateTime LastPasswordChangedDate { get; set; }

        [DataMember(IsRequired = false, Name = "Password", Order = 60)]
        public string Password { get; set; }

        [DataMember(IsRequired = false, Name = "PasswordQuestion", Order = 65)]
        public string PasswordQuestion { get; set; }

        [DataMember(IsRequired = false, Name = "PasswordAnswer", Order = 70)]
        public string PasswordAnswer { get; set; }

        [DataMember(IsRequired = false, Name = "Roles", Order = 70)]
        public IList<RoleDC> Roles { get; set; }

        #endregion
                        
        #region Ctor

        public UserInfoDC()
        {

        }

        #endregion

    }
}