﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace NST.Auth.MessageContracts
{
    [MessageContract]
    public class GetAuthRolesRequest
    {
        #region Public Properties

        [MessageBodyMember(Name = "RoleNames", Order = 0)]
        public IList<string> RoleNames { get; set; }

        [MessageBodyMember(Name = "ApplicationName", Order = 5)]
        public string ApplicationName { get; set; }

        [MessageBodyMember(Name = "ApplicationId", Order = 7)]
        public Guid? ApplicationId { get; set; }

        [MessageBodyMember(Name = "UserName", Order = 10)]
        public string UserName { get; set; }

        #endregion

    }
}
