﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Net.Security;

namespace NST.Auth.ServiceContracts
{
    [ServiceContract(Name = "IAuthMembershipService", SessionMode = SessionMode.Allowed, ProtectionLevel = ProtectionLevel.None)]
    public interface IAuthMembershipService
    {
        [OperationContractAttribute(Action = "ChangePassword", IsOneWay = false, AsyncPattern = false, IsTerminating = false, IsInitiating = true, Name = "ChangePassword")] 
        bool ChangePassword(string username, string oldPassword, string newPassword);
        //bool ChangePasswordQuestionAndAnswer(string username, string password, string newPasswordQuestion, string newPasswordAnswer);
        //MembershipUser CreateUser(string username, string password, string email, string passwordQuestion, string passwordAnswer, bool isApproved, object providerUserKey, out MembershipCreateStatus status);
        //bool DeleteUser(string username, bool deleteAllRelatedData);
        //MembershipUserCollection FindUsersByEmail(string emailToMatch, int pageIndex, int pageSize, out int totalRecords);
        //MembershipUserCollection FindUsersByName(string usernameToMatch, int pageIndex, int pageSize, out int totalRecords);
        //MembershipUserCollection GetAllUsers(int pageIndex, int pageSize, out int totalRecords);
        //int GetNumberOfUsersOnline();
        //string GetPassword(string username, string answer)      
        //MembershipUser GetUser(string username, bool userIsOnline);
        //string GetUserNameByEmail(string email);
    }
}
