﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NST.Auth.DataContracts
{
    [DataContract]
    public class NewUserDC
    {
        #region Public Properties

        [DataMember(IsRequired = false, Name = "ApplicationId", Order = 0)]
        public Guid? ApplicationId { get; set; }

        [DataMember(IsRequired = false, Name = "ApplicationName", Order = 5)]
        public string ApplicationName { get; set; }

        [DataMember(IsRequired = false, Name = "UserName", Order = 7)]
        public string UserName { get; set; }

        [DataMember(IsRequired = false, Name = "Password", Order = 10)]
        public string Password { get; set; }

        [DataMember(IsRequired = false, Name = "Email", Order = 15)]
        public string Email { get; set; }

        [DataMember(IsRequired = false, Name = "PasswordQuestion", Order = 20)]
        public string PasswordQuestion { get; set; }

        [DataMember(IsRequired = false, Name = "PasswordAnswer", Order = 25)]
        public string PasswordAnswer { get; set; }

        [DataMember(IsRequired = false, Name = "IsApproved", Order = 30)]
        public bool IsApproved { get; set; }

        [DataMember(IsRequired = false, Name = "Comments", Order = 35)]
        public bool Comments { get; set; }

        #endregion

    }
}
