﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NST.Auth.MessageContracts;
using System.ServiceModel;
using System.Net.Security;


namespace NST.Auth.ServiceContracts
{
    [ServiceContract(Namespace = "http://n-stech.com/2011/01", Name = "IAuthenticatorService", SessionMode = SessionMode.Allowed, ProtectionLevel = ProtectionLevel.None)] 
    public interface IAuthenticatorService
    {
        [OperationContract]
        AddUpdateUserResponse AddUpdateUser(AddUpdateUserRequest request);

        [OperationContract]
        AuthenticateUserResponse AuthenticateUser(AuthenticateUserRequest request);

        [OperationContract]
        CreateUpdateApplicationResponse CreateUpdateApplication(CreateUpdateApplicationRequest request);

        [OperationContract]
        CreateUpdateRoleResponse CreateUpdateRole(CreateUpdateRoleRequest request);

        //[OperationContract]
        //CreateUserResponse CreateUser(CreateUserRequest request);

        [OperationContract]
        void DeleteApplications(DeleteApplicationsRequest request);
        
        [OperationContract]
        void DeleteRoles(DeleteRolesRequest request);

        [OperationContract]
        void DeleteUsers(DeleteUsersRequest request);

        [OperationContract]
        GetApplicationsResponse GetApplications(GetApplicationsRequest request);

        [OperationContract]
        GetAuthRolesResponse GetAuthRoles(GetAuthRolesRequest request);

        [OperationContract]
        GetAuthUsersResponse GetAuthUsers(GetAuthUsersRequest request);

    }
}
