﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IdentityModel.Selectors;
using System.Data.SqlClient;
using System.Data;
using System.ServiceModel;
using NST.Auth.HelperLib;

namespace NST.Auth.ServiceImplementation
{
    public class AuthenticatorValidator : UserNamePasswordValidator
    {
        public AuthenticatorValidator()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        public override void Validate(string userName, string password)
        {
            try
            {
                using (SqlConnection cn = new SqlConnection(Helpers.CreateSqlAuthConnectionString(userName, password)))
                {
                    SqlCommand cmd = new SqlCommand("SELECT COUNT(*) FROM aspnet_Applications", cn);
                    cn.Open();
                    SqlDataReader rdr = cmd.ExecuteReader(CommandBehavior.CloseConnection);
                    rdr.Read();

                    // If an exception wasn't thrown, then cache user credentials.
                    CachedCredentials.UserName = userName;
                    CachedCredentials.Password = password;

                }
            }
            catch (Exception ex)
            {
                throw new FaultException(ex.Message);
            }
        }
    }
}
