﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.Concurrent;
using System.Collections;

namespace NST.CollectionExtensions
{
    public static class Extensions
    {
        public static ConcurrentBag<T> ToConcurrentBag<T>(this IQueryable<T> values)
        {
            ConcurrentBag<T> bag = new ConcurrentBag<T>();

            foreach (var obj in values)
            {
                bag.Add(obj);
            }

            return bag;
 
        }
    }
}
